import React from 'react';
export interface BoxProps {
    centered?: boolean;
    padded?: boolean;
    size?: number | number[];
    type?: 'row' | 'column';
    verticalAlign?: 'start' | 'center' | 'end';
    floated?: 'left' | 'right';
    textAlign?: 'left' | 'right' | 'center' | 'justify';
}
export declare const Box: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, BoxProps, never>;
/**
 * Helpers for migrating from Semantic UI
 */
export declare type GridType<T = {}> = React.FC<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement> & BoxProps & T & {
    as?: any;
}>;
export declare type GridParent = GridType & {
    Row: GridType;
    Column: GridType<{
        width?: '1' | '2' | '3' | '4' | '5' | '6' | '7' | '8' | '9' | '10' | '11' | '12' | '13' | '14' | '15' | '16';
    }>;
};
export declare const Grid: GridParent;
