import styled from 'styled-components';

import defaultTheme from '../../theme';
import { alignColumn } from '../../utils';

export interface ContainerProps {
  centered?: boolean;
  fluid?: boolean;
}

export const Container = styled.div<ContainerProps>(
  {
    display: 'flex',
    flexFlow: 'column nowrap',
  },
  alignColumn,
  ({ fluid }) => {
    if (fluid) {
      return;
    }

    return {
      margin: '0 15%',
    };
  },
);

Container.defaultProps = {
  theme: defaultTheme,
};
