import styled from 'styled-components';

import defaultTheme from '../../theme';

export interface DividerProps {
  hide?: boolean;
}

export const Divider = styled.div<DividerProps>(
  {
    margin: '1rem 0',
    lineHeight: '1em',
    height: 0,
  },
  ({ theme, hide }) => ({
    borderTop: `1px solid ${hide ? 'transparent' : theme.greyscale.medium}`,
    borderBottom: '1px solid hsla(0,0%,100%,.1)',
  }),
);

Divider.defaultProps = {
  theme: defaultTheme,
};
